const mongoose = require('mongoose');
const jwt = require("jsonwebtoken");

// const { mongooseConstantValues } = require('../apps/common/systemConstents')
const vendorSchema = new mongoose.Schema({
	name: { type: String, required: true },
	email: { type: String, required: true, unique: true },
	address: { type: String, required: true },
	city: { type: String, required: true },
	state: { type: String, required: true },
	postalCode: { type: String, required: true },
	gst: { type: String, required: true },
	bankName: { type: String },
	beneficiaryName: { type: String},
	accountNumber: { type: String},
	phoneNumber: { type: String, required: true },
	origin: { type: String, required: true },
}, { timestamps: true });  

module.exports = mongoose.model('Vendor', vendorSchema);
